Subject: [renum] An observation on 'draft-jiang-6renum-enterprise-00.txt'

From: "Templin, Fred L" <[email-masked]>
Date: Wed, 13 Jul 2011 11:13:28 -0700

[[ Re-sending - previous attempt was truncated ]]

Authors,

In Section 1 of this document, we see:

  "This document focuses on IPv6 only, by leaving IPv4
   out of scope. Dual-stack network or IPv4/IPv6
   transition scenarios are out of scope, too."

This statement seem to me to be dodging a very
important phase in the transition of existing IPv4
enterprise networks into IPv6 supporting enterprises.
Indeed, the document fails to cite the two v6ops
publications on Enterprise network IPv6 considerations,
namely "IPv6 Enterprise Network Scenarios" [RFC4057]
and "IPv6 Enterprise Network Analysis - IP Layer 3
Focus" [RFC4852]". These documents clearly show a
need to account for a mixed IPv4/IPv6 environment
for some time to come.

Also, in Section 2 of your document:

  "The complicated IPv4/IPv6 co-existing scenarios are
   out of scope."

In the case of ISATAP [RFC5214] at least, I disagree
with the characterization of "complicated". Indeed,
using ISATAP, an entire enterprise network can be
automatically renumbered by touching only the site
bordering ISATAP routers when their ISP delegated
prefixes from the ISP change. As far as I can tell,
such would represent possibly the simplest of all
renumbering scenarios. Note also that operational
guidance for IPv6 deployment in IPv4 sites using
is now beind documented in 'draft-templin-v6ops-isops',
which could also be cited by your document.

Please check these works, and consider citing the
appropriate documents. Please also note that ISATAP
provides a ready-made simple solution for enterprise
network renumbering, which could also be mentioned
in your document.

Thanks - Fred
[email-masked]

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 14 Jul 2011 09:39:02 +1200

Fred,

It's mentioned in RFC 5887 that one trigger for IPv6 renumbering could
be migrating from a transitional IPv6 solution to true native IPv6.
In that sense, coexistence mechanisms are (IMHO) in the scope of the
6renum charter, but I think it's limited to that; IPv4 is out of scope
unless "analysis leads to conclusions that are also applicable to IPv4."
Of course, this applies to all coexistence mechanisms, not just ISATAP.

I agree that mentioning renumbering from a coexistence solution to
a native solution is reasonable, as it may lead to specific items in
the gap analysis.

Regards
   Brian

---

From: "Templin, Fred L" <[email-masked]>
Date: Wed, 13 Jul 2011 15:41:12 -0700

Hi Brian, 

> -----Original Message-----
> From: Brian E Carpenter [mailto:[email-masked]] 
> Sent: Wednesday, July 13, 2011 2:39 PM
> To: Templin, Fred L
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: Re: An observation on 'draft-jiang-6renum-enterprise-00.txt'
> 
> Fred,
> 

OK. But, renumbering could also include changing from an
IPv6 prefix 'A' assigned to a coexistence mechanism to a
different IPv6 prefix 'B' assigned to that same coexistence
mechanism (i.e., it does not need to entail a migration
from coexistence to native).

> unless "analysis leads to conclusions that are also 

If by that, you mean that IPv4 renumbering is out of
scope unless ..., then I am fine with that. My concern
is for IPv6 renumbering.

> Of course, this applies to all coexistence mechanisms, not 

I mention ISATAP only within the context of enterprise
networks, which is the domain of analysis of the document
in question.
 
> a native solution is reasonable, as it may lead to specific items in

Should also include changing from IPv6 prefix 'A' to
IPv6 prefix 'B' while not changing from coexistence
to native.

Thanks - Fred

---

From: Jiangsheng <[email-masked]>
Date: Thu, 14 Jul 2011 02:21:14 +0000

Hi, Templin,

So far, in this version of our drafts, we do not distinguish the different reasons of changing prefix. So, your mentioned "changing from an IPv6 prefix 'A' assigned to a coexistence mechanism to a different IPv6 prefix 'B' assigned to that same coexistence mechanism" is already included. But we sort it in different dimension.

Regards,

Sheng

> From: Templin, Fred L [mailto:[email-masked]]
> Sent: Thursday, July 14, 2011 6:41 AM
> To: Brian E Carpenter
> Cc: [email-masked]; Jiangsheng; Leo Liu(bing)
> Subject: RE: An observation on 'draft-jiang-6renum-enterprise-00.txt'
> 
> Hi Brian,
>